Update Customer
curl --request PUT \
--url https://api.sandbox.sudo.cards/customers/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "individual",
"name": "<string>",
"status": "active",
"phoneNumber": "<string>",
"emailAddress": "<string>",
"metadata": "<string>"
}
'import requests
url = "https://api.sandbox.sudo.cards/customers/{id}"
payload = {
"type": "individual",
"name": "<string>",
"status": "active",
"phoneNumber": "<string>",
"emailAddress": "<string>",
"metadata": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'individual',
name: '<string>',
status: 'active',
phoneNumber: '<string>',
emailAddress: '<string>',
metadata: '<string>'
})
};
fetch('https://api.sandbox.sudo.cards/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"message": "Customer updated successfully.",
"data": {
"_id": "64a1b2c3d4e5f6a7b8c9d0e1",
"business": "63f0a1b2c3d4e5f6a7b8c9d0",
"type": "individual",
"name": "John Doe",
"status": "inactive",
"isApproved": true,
"phoneNumber": "+2348000000000",
"emailAddress": "johndoe@example.com",
"individual": {
"firstName": "John",
"lastName": "Doe",
"otherNames": "",
"dob": "1990/01/01",
"identity": {
"type": "BVN",
"number": "22212345678"
},
"documents": {
"idFrontUrl": "https://sudo-documents.s3.amazonaws.com/customers/64a1b2c3d4e5f6a7b8c9d0e1/id-front.png",
"idBackUrl": "https://sudo-documents.s3.amazonaws.com/customers/64a1b2c3d4e5f6a7b8c9d0e1/id-back.png",
"addressVerificationUrl": "https://sudo-documents.s3.amazonaws.com/customers/64a1b2c3d4e5f6a7b8c9d0e1/utility-bill.pdf"
}
},
"billingAddress": {
"line1": "4 Barnawa Close",
"line2": "Off Challawa Crescent",
"city": "Barnawa",
"state": "Kaduna",
"postalCode": "800243",
"country": "Nigeria"
},
"createdAt": "2024-09-06T12:34:56.789Z",
"updatedAt": "2024-09-07T09:15:00.000Z",
"__v": 0
}
}{
"statusCode": 400,
"message": "\"status\" must be one of [active, inactive]",
"data": null
}{
"statusCode": 401,
"message": "Unauthorized. Provide a valid API key in the Authorization header.",
"data": null
}{
"statusCode": 404,
"message": "Customer not found.",
"data": null
}Customers
Update Customer
Updates the specific customer by setting the values of the parameters provided. Only provided parameters will be changed.
PUT
/
customers
/
{id}
Update Customer
Authorizations
Path Parameters
The _id of the customer you wish to update.
Body
application/json
This is the customer type.
Available options:
individual, company The customer's full name.
This is the status of the customer.
Available options:
active, inactive Customer's mobile phone number in international format.
Customer's email address.
Individual details. Required if customer type is individual.
Show child attributes
Show child attributes
Company details. Required if customer type is company.
Show child attributes
Show child attributes
The customer metadata object in key-value pair. This can be useful for storing additional information about the customer in a structured format
This is the billing address of the customer.
Show child attributes
Show child attributes
⌘I
